- Qt 6.10
- Qt Core
- C++ Classes
- TimerInfo
- Qt 6.10.2 Reference Documentation

# QAbstractEventDispatcher::TimerInfo Struct

struct QAbstractEventDispatcher::TimerInfo

This struct is deprecated since 6.8. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

| TimerInfo(int timerId, int interval, Qt::TimerType timerType)

## Public Variables

int | interval
int | timerId
Qt::TimerType | timerType

## Detailed Description

Use TimerInfoV2

This struct represents information about a timer: timerId, interval, and timerType.

See also registeredTimers(), QAbstractEventDispatcher::TimerInfoV2, and timersForObject().

## Member Function Documentation

### TimerInfo::TimerInfo(int timerId, int interval, Qt::TimerType timerType)

Constructs a TimerInfo struct with the given timerId, interval, and timerType.

## Member Variable Documentation

### int TimerInfo::interval

The timer's interval.

### int TimerInfo::timerId

The timer's unique id.

### Qt::TimerType TimerInfo::timerType

The timer's type

See also Qt::TimerType.